----------------------------------------------------------------------------------------------------
-- switch.lua
-- スイッチのスクリプト
----------------------------------------------------------------------------------------------------
local speed = 0.005
local minY  = -0.2

--![[
-- 移動する(初期位置からの移動距離を返す)
function switch( dx, dy, dz, isEvent )
	-- イベントがあれば沈む
	if isEvent == true then
		dy = dy - speed
		if dy < minY then
			dy = minY
		end

	-- イベントがなければ元の位置へ
	else
		dy = dy + speed
		if dy > 0.0 then
			dy = 0.0
		end
	end
	return dx, dy, dz
end
--]]--

--[[
-- テスト用関数
function Move( activeCnt )
	dy = dy + speed
	if dy < -5.0 or dy > 10.0 then
		speed = -speed
	end
	return 0.0, dy, 0.0
end
--]]
